Kodi Community Forum
[VBS/Pitchfork/Crunchyroll] maruchan addons repository - Printable Version

+- Kodi Community Forum (http://forum.kodi.tv)
+-- Forum: Help and Support (/forumdisplay.php?fid=33)
+--- Forum: Add-ons Help and Support (/forumdisplay.php?fid=27)
+---- Forum: Third Party Repositories (/forumdisplay.php?fid=157)
+---- Thread: [VBS/Pitchfork/Crunchyroll] maruchan addons repository (/showthread.php?tid=83795)

Pages: 1 2 3 4 5 6 7 8


- OldOne - 2011-12-15 13:03

most of the videos did run fine, i think its worth it, even if its only for hamiltons little...

please update vbs.tv


Please Update - Zeee1 - 2011-12-15 22:53

OldOne Wrote:most of the videos did run fine, i think its worth it, even if its only for hamiltons little...

please update vbs.tv

I agree with OldOne, please update.

Thank you,

Zeee1


- myws01 - 2011-12-23 09:22

Hi Maruchan,
Suprisingly Crunchyroll (2.2.2) is working now on my atv2 nightly build after 3 months. Not sure how I did it but it. Only issue is I can't get it to work on my parent atv2 or on the ipad2 with the same setup. it still show Broken. Any idea how to fix it? Can i copy the working whole userdata folder and replace the non-working one?
Thanks a lot.


- tarjan - 2011-12-31 17:21

Anyone been able to get crunchyroll to install on eden? I keep getting a dependency error for it (and vbs, but thats neither here nor there.)

All of the other add-ons from the maruchan repository install just fine.

----

Ok I've been plugging away trying to figure it out. Seems like the cryptopy add-on is not available for eden. This is what is failing... Would be nice if the logs actually said that, but in checking out everything else I could find, this is the only missing link. Not sure if/how to force it to install and any help would be appreciated.


- maruchan - 2011-12-31 19:03

Huh, that's strange... I believe the Hulu plugin uses CryptoPy and that seems to work fine under Eden. As a temporary solution, you can just copy the CryptoPy folder over to your Addons folder.


- tarjan - 2011-12-31 19:39

My guess is if you upgrade from dharma to eden, the cryptopy folder is still there. If you look on the repository webpage though cryptopy is only listed in dharma and not eden. Mine was a clean install of eden only.

http://wiki.xbmc.org/index.php?title=Category:All_add-ons
under the subcategories heading, dharma and then pre-eden. No cryptopy in the pre-eden section and I get crypto errors when I forced crunchyroll in to the addons folder. Adding cryptopy manually is my next step.


- tarjan - 2011-12-31 20:53

Tried to copy it directly, but that failed. Ended up just getting it from the bluecop repository. Downloaded that, zipped up the script.module.cryptopy directory and used the install from zip function. That is the only way I could get it to work, otherwise it wouldn't find the libraries.

Now hulu, crunchyroll and others that require cryptopy are functioning.


Install librtmp 2.4 in Ubuntu easy - japzone - 2012-01-03 03:17

Good News for Ubuntu users nervous to(or failing at) compiling Librtmp from source. Librtmp 2.4 is now in the Ubuntu Repositories, no compiling needed.

Simply run the following Command in Terminal:
Code:
sudo apt-get install librtmp0

Librtmp should be Updated to the latest 2.4 allowing Handshaking with the needed CDNs to use Addons like Crunchyroll.(If the above doesn't work try upgrading XBMC to 11.0 “Eden” Beta 1, that's what I'm running.)

I have yet to test this with other Addons like Hulu and Amazon but I'm fairly sure they'll work as well. I'll update this post once I get a chance with results.EDIT: I've tested boh Amazon and Hulu addons and they both work (Make sure in Hulu settings CDN is set to limelight)


- edru - 2012-01-21 21:37

Not to beat a dead horse, but does anyone know if anyone is updating this? I was happy to see a Vice plug in, but figured it wouldnt work due to the site migration.

Was hoping I could get their content.


- Jarulf - 2012-02-15 11:58

When I try to install Crunchyroll on Beta 1 of eden on Ubuntu 11.10, I just get a Dependencies not met message. I have no idea how to check what deps I need to install, so would be grateful for a few pointers. I have librtmp2.4 from the unstable ppa.


- tarjan - 2012-02-18 00:30

The dependency issue is cryptopy. 1.2.5 is not supported by eden, have to move up to 1.2.6 but the repository points at 1.2.5. I just did my own shot at modifying and did end up making it work.

maruchan, any chance you could put in that update?


- tarjan - 2012-02-18 18:00

maruchan: could I ask you to do one more change? Check out the subtitle slowdown post. Seems that .ass format for subtitles is the cause of the atv2 slowdown. Any chance you could run through a second conversion to get the subtitles from .ass to the .srt format and play with that subtitle instead?

I don't know enough to code the change, but I don't think it would be hugely difficult. In the end the playback is absolutely smooth, better than it ever was even in 4.3.

The script I used to convert the file itself is found on the following webpage:
http://doom10.org/index.php?topic=916.0


- tarjan - 2012-02-21 03:47

I banged my head on the python for a while and figured out how to do it. Started down the hard way a few times, then came up with the easy way.

First install python 2.6.x (not apt-get install python, that installs an older one and is not compatible)

take the script I linked to and put it in a file named cc.py in the crunchyroll addon resource/lib directory. Then edit the crunchy_video.py, adding the following in the subtitle section (search for .ass, add this after the file is closed)

translatelocation = 'python /var/mobile/Library/Preferences/XBMC/addons/plugin.video.crunchyroll/resources/lib/cc.py '+xbmc.translatePath('special://temp/crunchy_'+mediaid+'.ass')+' '+xbmc.translatePath('special://temp/crunchy_'+mediaid+'.srt')
print translatelocation
os.system(translatelocation)

Then scroll down a bit and look for .ass again. You will find two more lines, one is just a print statement, then below that you will see the function that sets the subtitles. Change that to point at the newly minted .srt file.

xbmc.Player().setSubtitles(xbmc.translatePath('special://temp/crunchy_'+mediaid+'.srt'))

Notice the only change above, went from .ass to .srt in the function that actually loads up the subtitles.

Once done your atv2 will work rock solid on subtitles, though without as much flair as they should have, maybe.

All is not perfect though, something has changed on crunchyroll and some videos are no longer watchable. Trying to use any of the normal rtmp apps like the firefox unplug addon and they show nothing when you try to open the ones that fail up, but others work just fine and unplug does show the rtmp details for those.

The log file just shows the following for those videos
19:16:08 T:310964224 WARNING: HandShake: Type mismatch: client sent 6, server answered 9
19:16:09 T:310964224 ERROR: rtmp server sent error
19:16:09 T:310964224 ERROR: rtmp server requested close


- Ghostdivision - 2012-02-21 07:56

I was searching for a vice plugin, i finally found it, and its broke


- Jarulf - 2012-02-23 10:44

tarjan Wrote:The dependency issue is cryptopy. 1.2.5 is not supported by eden, have to move up to 1.2.6 but the repository points at 1.2.5.

Right, thanks. Guess I'll just wait for an update.